function [successful] = gaalopscriptFile2Matlab(gaalopscriptFilename)
    % Compiles a GAALOPScript file with GAALOPWeb and creates a MATLAB file.
    % The created MATLAB file has the same name als the GAALOPScript file,
    % but with replaced filename ending to .m.
    % Convenience function, using function gaalopwebCompile().
    %
    % HINT: This script will do a download of the generated script. Maybe your antivirus software will detect the program as an IPC.Generic malware.
    %
    % Input:
    %   gaalopscriptFilename: The filename of the GAALOPScript file, that should be compiled with GAALOPWeb
    % Output:
    %   successful: (boolean) Was the compilation with GAALOPWeb successful?
    %
    % Written by Christian Steinmetz.
	% Version 1.0, 16.04.2020

    % destination file is the filename with replaced filename ending
    destinationFilename = strrep(gaalopscriptFilename, ".clu", ".m");
    
    [successful] = gaalopwebCompile(gaalopscriptFilename, gaalopscriptFilename, destinationFilename);
end



